MyGUI::LogLevel Struct Reference

`#include <MyGUI_LogLevel.h>`

## Public Types

enum | Enum { Info , Warning , Error , Critical , MAX }

## Public Member Functions

| LogLevel ()
| LogLevel (Enum _value)
std::string_view | print () const
int | getValue () const

## Static Public Member Functions

static LogLevel | parse (std::string_view _value)

## Friends

bool | operator< (LogLevel const &a, LogLevel const &b)
bool | operator>= (LogLevel const &a, LogLevel const &b)
bool | operator> (LogLevel const &a, LogLevel const &b)
bool | operator<= (LogLevel const &a, LogLevel const &b)
bool | operator== (LogLevel const &a, LogLevel const &b)
bool | operator!= (LogLevel const &a, LogLevel const &b)
std::ostream & | operator<< (std::ostream &_stream, const LogLevel &_value)
std::istream & | operator>> (std::istream &_stream, LogLevel &_value)

## Detailed Description

Definition at line 18 of file MyGUI_LogLevel.h.

## Member Enumeration Documentation

## Enum

enum MyGUI::LogLevel::Enum

Enumerator
Info |
Warning |
Error |
Critical |
MAX |

Definition at line 20 of file MyGUI_LogLevel.h.

## Constructor & Destructor Documentation

## LogLevel() [1/2]

MyGUI::LogLevel::LogLevel | ( |  | ) |

inline

Definition at line 29 of file MyGUI_LogLevel.h.

## LogLevel() [2/2]

MyGUI::LogLevel::LogLevel | ( | Enum | _value | ) |

inline

Definition at line 34 of file MyGUI_LogLevel.h.

## Member Function Documentation

## getValue()

int MyGUI::LogLevel::getValue | ( |  | ) | const

inline

Definition at line 103 of file MyGUI_LogLevel.h.

## parse()

LogLevel MyGUI::LogLevel::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 39 of file MyGUI_LogLevel.h.

## print()

std::string_view MyGUI::LogLevel::print | ( |  | ) | const

inline

Definition at line 98 of file MyGUI_LogLevel.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 79 of file MyGUI_LogLevel.h.

## operator<

bool operator< | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 54 of file MyGUI_LogLevel.h.

## operator<<

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const LogLevel & | _value )

friend

Definition at line 84 of file MyGUI_LogLevel.h.

## operator<=

bool operator<= | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 69 of file MyGUI_LogLevel.h.

## operator==

bool operator== | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 74 of file MyGUI_LogLevel.h.

## operator>

bool operator> | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 64 of file MyGUI_LogLevel.h.

## operator>=

bool operator>= | ( | LogLevel const & | a,
|  | LogLevel const & | b )

friend

Definition at line 59 of file MyGUI_LogLevel.h.

## operator>>

std::istream & operator>> | ( | std::istream & | _stream,
|  | LogLevel & | _value )

friend

Definition at line 90 of file MyGUI_LogLevel.h.

The documentation for this struct was generated from the following file:

- MyGUI_LogLevel.h